Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.base
Class JRBaseGenericElementParameter

    java.lang.Object
      net.sf.jasperreports.engine.base.JRBaseGenericElementParameter

All Implemented Interfaces:
  java.io.Serializable, JRGenericElementParameter

Direct Known Subclasses:
  JRDesignGenericElementParameter

    public class JRBaseGenericElementParameter

extends java.lang.Object
implements JRGenericElementParameter, java.io.Serializable

A read-only implementation of `JRGenericElementParameter` that is included in compiled reports.

Version:
  $Id: JRBaseGenericElementParameter.java 3033 2009-08-27 11:46:22Z teodord $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)
See Also:
  Serialized Form

Field Summary
`protected java.lang.String` | `name`
`protected boolean` | `skipWhenEmpty`
`protected JRExpression` | `valueExpression`

Constructor Summary
`protected` | `JRBaseGenericElementParameter()`
`` | `JRBaseGenericElementParameter(JRGenericElementParameter parameter, JRBaseObjectFactory factory)` Creates a generic element parameter by copying an existing instance.

Method Summary
`java.lang.String` | `getName()` Returns the name of the parameter.
`JRExpression` | `getValueExpression()` Returns the expression that provides parameter values.
`boolean` | `isSkipWhenEmpty()` Decides whether the parameter is skipped when its value evaluates to `null`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    protected java.lang.String name

### valueExpression

    protected JRExpression valueExpression

### skipWhenEmpty

    protected boolean skipWhenEmpty

Constructor Detail

### JRBaseGenericElementParameter

    protected JRBaseGenericElementParameter()

### JRBaseGenericElementParameter

    public JRBaseGenericElementParameter(JRGenericElementParameter parameter,
                                         JRBaseObjectFactory factory)

  Creates a generic element parameter by copying an existing instance.

  Parameters:
    `parameter` - the parameter to copy
    `factory` - the object factory to be used for creating sub objects

Method Detail

### getName

    public java.lang.String getName()

  Description copied from interface: `JRGenericElementParameter`
  Returns the name of the parameter.

  The name will be propagated into the generic print element, as in `JRGenericPrintElement.setParameterValue(String, Object)`.

  Specified by:
    `getName` in interface `JRGenericElementParameter`
  Returns:
    the name of the parameter

### getValueExpression

    public JRExpression getValueExpression()

  Description copied from interface: `JRGenericElementParameter`
  Returns the expression that provides parameter values.

  The result of the expression evaluation will be propagated into the generic print element as parameter value, as in `JRGenericPrintElement.setParameterValue(String, Object)`.

  Specified by:
    `getValueExpression` in interface `JRGenericElementParameter`
  Returns:
    the parameter's value expression

### isSkipWhenEmpty

    public boolean isSkipWhenEmpty()

  Description copied from interface: `JRGenericElementParameter`
  Decides whether the parameter is skipped when its value evaluates to `null`.

  When the parameter's expression evaluates to `null` and this flag is set and , the parameter is not included in the generated print element. If the flag is not set, the parameter is included with a `null` value.

  Specified by:
    `isSkipWhenEmpty` in interface `JRGenericElementParameter`
  Returns:
    whether the parameter is skipped when its value is `null`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com